MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023525Open CASCADE[OCCT] OCCT:Visualizationpublic2012-11-08 16:412016-08-06 20:19
Reporterski 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSWindows 32 bit VC9OS Version32 bit
Product Version 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023525: Disappearing of highlight in screenshot
DescriptionOn Windows 32 bit VC9 in DRAW
After doing screenshot (QAxwd_3d or vdump) of box with highlighted edge, highlighting is disappeared on screenshot.



Steps To Reproducein DRAW:

pload ALL
pload QAcommands
vinit
vclear
box t_box 100 100 100
vdisplay t_box
vfit
QAMoveTo 0 0
QASetChoiceMode EDGE ON
QAMoveTo 110 352
QAMoveTo 110 352
QAUpdateLights

When the edge is highlighted use:

QAxwd_3d box.gif

or

vdump box.gif
TagsQA_vis
Test case numberbugs vis(004) bug23525
Attached Files

- Relationships
related to 0023539closedaba Open CASCADE QASelect and QAShiftSelect commands 
related to 0023721closedaba Open CASCADE Missing usage hints for vselmode command 
related to 0023536closedbugmaster Open CASCADE Modes of QASetChoiceMode command 
related to 0027755closedbugmaster Open CASCADE Visualization, V3d_View::ToPixMap() - fix image dump with MSAA turned on 
child of 0023668closedkgv Open CASCADE OCCT automated testing: Using Mesa3d for 3D visualization on virtual Windows machines 

-  Notes
(0023075)
kgv (developer)
2013-01-22 21:03

Patch is ready for review in branch CR23525.

Current changes:
- OpenGl_Workspace, removed display list creation in immediate mode.
- Visual3d_TransientManager and Graphic3d_GraphicDriver, removed outdated unused methods to draw primitives in immediate mode.
- OpenGl_Workspace, render immediate mode directly to FBO when assigned.
- New Draw Harness command to swith rendering mode in immediate mode. Immediate mode could be forced to always draw into back buffer (requires all scene redraw).
(0023085)
san (developer)
2013-01-23 12:20

Branch CR23525 reviewed without remarks, ready for testing.
(0023090)
mkv (tester)
2013-01-23 14:31

Dear BugMaster,
Branch CR23525 was rebased on the current master.
(0023091)
mkv (tester)
2013-01-23 14:33

Dear BugMaster,
Test case bugs/vis(004)/bug23525 was created.It was pushed to git-repository in CR23525 branch.
(0023128)
mkv (tester)
2013-01-24 18:07

Dear BugMaster,

Branch CR23525 (and products from GIT master) was compiled on Linux and Windows platforms.

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 85 (85 on master)

products component :
Linux: 9 (9 on master)
Windows: 54 (54 on master)
(0023129)
mkv (tester)
2013-01-24 18:19
edited on: 2013-01-24 18:20

Dear BugMaster,
Branch CR23525 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
No regressions

Improvements:
http://occt-tests/CR23525-master-occt/Mandriva2010/summary.html [^]
bugs vis(004) buc60574 buc60632_1 buc60632_2 bug597_1 bug597_2 bug597_3 bug597_4 bug597_5 bug597_6 bug597_7 - on Linux only

Testing cases:
bugs vis(004) bug23525 - OK.

Testing on Linux:
Total MEMORY difference: 222570236 / 222671560
Total CPU difference: 8717.28000000019 / 8327.080000000542

Testing on Windows:
Total MEMORY difference: 297977040 / 297963472
Total CPU difference: 11239.78125 / 11643.78125

There are not serious differences in images found by testdiff.


- Related Changesets
occt: master 1981cb22
Timestamp: 2013-01-25 10:52:59
Author: kgv
Details ] Diff ]
0023525: Disappearing of highlight in screenshot

OpenGl immediate mode - get rid from GL display lists

Visual3d_TransientManager, Graphic3d_GraphicDriver:
removed outdated unused methods to draw primitives in immediate mode.
New Draw Harness command to swith rendering mode in immediate mode.

When set to false scene will be always redrawn in back buffer.
V3d_View::ToPixMap - temporarily switch immediate mode to draw into back buffer

Make happy immediate mode dump on OpenGL without FBO (like ms software implementation).
OpenGl_Workspace::RedrawImmediatMode - invalidate back buffer when immediate mode drawn into it
Added more detailed description for Graphic3d_GraphicDriver::SetImmediateModeDrawToFront method

Adding of test case
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_8.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_3.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_4.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_TransientManager.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_TransientManager.cxx Diff ] File ]
add - tests/bugs/vis/bug23525 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-08 16:41 ski New Issue
2012-11-08 16:41 ski Assigned To => san
2012-11-08 16:48 ski Tag Attached: QA_vis
2012-11-22 11:41 ski Note Added: 0022349
2012-11-22 11:43 bugmaster OS SUSE LES 10 => Windows 32 bit VC9
2012-11-22 11:43 bugmaster OS Version 64 bit => 32 bit
2012-11-22 11:43 bugmaster Platform Linux => Windows
2012-11-22 11:43 bugmaster Description Updated View Revisions
2012-11-22 11:43 bugmaster Note Deleted: 0022349
2012-11-29 15:18 san Assigned To san => aba
2012-11-29 15:18 san Status new => assigned
2012-12-24 17:49 san Relationship added child of 0023668
2013-01-22 21:03 kgv Assigned To aba => kgv
2013-01-22 21:03 kgv Note Added: 0023075
2013-01-22 21:03 kgv Assigned To kgv => san
2013-01-22 21:03 kgv Status assigned => resolved
2013-01-23 12:20 san Note Added: 0023085
2013-01-23 12:20 san Assigned To san => bugmaster
2013-01-23 12:20 san Status resolved => reviewed
2013-01-23 14:30 mkv Assigned To bugmaster => mkv
2013-01-23 14:31 mkv Note Added: 0023090
2013-01-23 14:33 mkv Note Added: 0023091
2013-01-23 18:43 san Relationship added related to 0023539
2013-01-23 19:04 san Relationship added related to 0023721
2013-01-24 10:21 san Relationship added related to 0023536
2013-01-24 18:07 mkv Note Added: 0023128
2013-01-24 18:19 mkv Note Added: 0023129
2013-01-24 18:20 mkv Note Edited: 0023129 View Revisions
2013-01-24 18:21 mkv Test case number => bugs vis(004) bug23525
2013-01-24 18:21 mkv Assigned To mkv => bugmaster
2013-01-24 18:21 mkv Status reviewed => tested
2013-01-28 18:06 kgv Changeset attached => occt master 1981cb22
2013-01-28 18:07 kgv Assigned To bugmaster => kgv
2013-01-28 18:07 kgv Status tested => verified
2013-01-28 18:07 kgv Resolution open => fixed
2013-02-20 10:19 bugmaster Target Version => 6.6.0
2013-04-23 13:36 aiv Status verified => closed
2013-04-29 15:22 aiv Fixed in Version => 6.6.0
2013-04-30 17:45 san Relationship added related to 0023937
2016-08-06 20:19 kgv Relationship added related to 0027755


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker